<div
  *transloco="let t; read: 'clearances'"
  class="column-container">
  <div class="twelve-column-container margin-center">
    <div class="ten-column-container margin-center">
      <h1 style="margin: 0" class="page-header header-padding">{{t('my_products')}}</h1>
      <p style="margin: 0" class="text-container">{{t('my_products_info')}}</p>
      <div class="create-button-container">
        <button
          mat-flat-button
          class="round-button"
          color="primary"
          (click)="onCreateClearance()">
          {{t('create_product')}}
        </button>
      </div>
    </div>
  </div>
  <app-clearances-table
    *ngrxLet="clearances$; let clearances"
    [clearances]="clearances"
    [clearanceCount]="clearances.length"
    [isPublic]="false"
    (hideClearanceClicked)="onHideClearance($event)"
    (unhideClearanceClicked)="onUnhideClearance($event)"
    (editClearanceItemClicked)="onEditClearanceItem($event)">
  </app-clearances-table>
</div>
